<?php
/**
 * sample code for GiroCheckout integration of a credit card transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 97 $ / $Date: 2015-01-08 10:27:50 +0100 (Do, 08 Jan 2015) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "xxxxxxxxxx";


/* get pkn number from GiroConnect */
try {
	$request = new GiroCheckout_SDK_Request('creditCardGetPKN');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('reference','22912e6e-2e50-4d8f-a0ae-25a71a0a64df')
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded())
	{
	     $request->getResponseParam('reference');
	     $request->getResponseParam('pkn');
	     $request->getResponseParam('cardnumber');
	     $request->getResponseParam('expiremonth');
	     $request->getResponseParam('expireyear');
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }